### Enumeration

# Gio UnixSocketAddressType

since: 2.26

#### Declaration

    enum Gio.UnixSocketAddressType

#### Description

The type of name used by a `GUnixSocketAddress`. `G_UNIX_SOCKET_ADDRESS_PATH` indicates a traditional unix domain socket bound to a filesystem path. `G_UNIX_SOCKET_ADDRESS_ANONYMOUS` indicates a socket not bound to any name (eg, a client-side socket, or a socket created with socketpair()).

For abstract sockets, there are two incompatible ways of naming them; the man pages suggest using the entire `struct sockaddr_un` as the name, padding the unused parts of the %sun_path field with zeroes; this corresponds to `G_UNIX_SOCKET_ADDRESS_ABSTRACT_PADDED`. However, many programs instead just use a portion of %sun_path, and pass an appropriate smaller length to `bind()` or connect(). This is `G_UNIX_SOCKET_ADDRESS_ABSTRACT`.

Available since: 2.26

#### Members

`G_UNIX_SOCKET_ADDRESS_INVALID`

  Invalid.

  - Value: `0`
  - Nickname: `invalid`
  - Available since: 2.26
`G_UNIX_SOCKET_ADDRESS_ANONYMOUS`

  Anonymous.

  - Value: `1`
  - Nickname: `anonymous`
  - Available since: 2.26
`G_UNIX_SOCKET_ADDRESS_PATH`

  A filesystem path.

  - Value: `2`
  - Nickname: `path`
  - Available since: 2.26
`G_UNIX_SOCKET_ADDRESS_ABSTRACT`

  An abstract name.

  - Value: `3`
  - Nickname: `abstract`
  - Available since: 2.26
`G_UNIX_SOCKET_ADDRESS_ABSTRACT_PADDED`

  An abstract name, 0-padded to the full length of a unix socket name.

  - Value: `4`
  - Nickname: `abstract-padded`
  - Available since: 2.26